# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           maven-resources-plugin
Version:        2.5
Release:        2%{?dist}
Epoch:          0
Summary:        Copy resources to output directory
Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-resources-plugin
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-resources-plugin-2.5 && tar cjf maven-resources-plugin-2.5.tar.bz2 maven-resources-plugin-2.5
Source0:        maven-resources-plugin-2.5.tar.bz2
Source1:        maven-resources-plugin-settings.xml
Source2:        maven-resources-plugin-jpp-depmap.xml
Obsoletes:      maven2-plugin-resources <= 0:2.0.8
Provides:       maven2-plugin-resources = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       maven2 >= 0:2.0.6
Requires:       maven-shared-filtering >= 0:1.0
Requires:       plexus-interpolation >= 0:1.13
Requires:       plexus-utils >= 0:1.5.15
BuildRequires:  maven2 >= 0:2.0.6
BuildRequires:  maven-shared-filtering >= 0:1.0
BuildRequires:  plexus-interpolation >= 0:1.13
BuildRequires:  plexus-utils >= 0:1.5.15
BuildRequires:  apache-commons-io
BuildRequires:  maven-shared-plugin-testing-harness >= 0:1.0
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  maven2-common-poms 
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Resources Plugin handles the copying of project
resources to the output directory. There are two different
kinds of resources: main resources and test resources. The
difference is that the main resources are the resources
associated to the main source code while the test resources
are associated to the test source code.

Thus, this allows the separation of resources for the main
source code and its unit tests.

Starting with version 2.3 this plugin uses the Maven
Filtering shared component for filtering resources.


%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q
cp -p %{SOURCE1} settings.xml
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" settings.xml

%build
export LC_ALL=en_US.UTF-8
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=oss-releases::default::file:`pwd`/maven2-brew
export MAVEN_OPTS="-Xms1g -Xmx1g -XX:MaxPermSize=128m -Xss1m -Dproject.build.sourceEncoding=UTF-8 -Dfile.encoding=UTF-8"
export MAVEN_SETTINGS=$(pwd)/settings.xml

%{_bindir}/mvn-jpp \
        -e \
        -s ${MAVEN_SETTINGS} \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        install javadoc:javadoc

#       -Dmaven.test.failure.ignore=true \

%install
rm -rf %{buildroot}

# jars
install -Dpm 644 target/maven-resources-plugin-%{version}.jar %{buildroot}%{_javadir}/maven-resources-plugin-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -s ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# poms
install -Dpm 644 pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-maven-resources-plugin.pom
%add_to_maven_depmap org.apache.maven.plugins maven-resources-plugin %{version} JPP maven-resources-plugin

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/maven-resources-plugin-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/maven-resources-plugin-%{version}/
ln -s maven-resources-plugin-%{version} %{buildroot}%{_javadocdir}/maven-resources-plugin

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/maven-resources-plugin-%{version}.jar
%{_javadir}*/maven-resources-plugin.jar
%{_datadir}/maven2/poms/JPP-maven-resources-plugin.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/maven-resources-plugin-%{version}
%{_javadocdir}/maven-resources-plugin

%changelog
* Sun May 20 2012 Ralph Apel <r.apel@r-apel.de> 2.5-2
- rebuild with corrected maven-plugin-testing-harness

* Sun May 20 2012 Ralph Apel <r.apel@r-apel.de> 2.5-1
- 2.5

* Thu Oct 13 2011 David Walluck <dwalluck@redhat.com> 2.4.2-2
- add (Build)Requires

* Wed Dec 08 2010 David Walluck <dwalluck@redhat.com> 2.4.2-1
- 2.4.2

* Wed Dec 08 2010 David Walluck <dwalluck@redhat.com> 2.3-1
- 2.3

* Tue Sep 28 2010 Hui Wang <huwang@redhat.com> - 2.2-9
- Adjust BRs

* Thu Sep 02 2010 Hui Wang <huwang@redhat.com> - 2.2-8
- Rebuild with maven221
- Add pom.patch

* Wed Jul 21 2010 Hui Wang <huwang@redhat.com> - 2.2-7
- Fixed mavenpomdir
- Updated BRs
- Added depmap

* Fri May 21 2010 Hui Wang <huwang@redhat.com> - 2.2-6
- delete duplicate maven2-plugin-jar
- delete source1

* Tue May 20 2010 Hui Wang <huwang@redhat.com> - 2.2-5
- Add maven-resources-plugin-demap.xml 
- Set maven test ignore

* Wed May 19 2010 Hui Wang <huwang@redhat.com> - 2.2-4
- Add missing obsoletes/provides

* Wed May 19 2010 Hui Wang <huwang@redhat.com> - 2.2-3
- Add missing BR:maven-shared-reporting-impl

* Mon May 17 2010 Hui Wang <huwang@redhat.com> - 2.2-2
- Fixed install -pm 644 pom.xml

* Thu May 13 2010 Hui Wang <huwang@redhat.com> - 2.2-1
- Initial version of the package
